Package org.eclipse.team.core

## Interface IStringMapping

    public interface IStringMapping

A simple interface for mappings from a string (usually a file name or a file extension) and a content type (typically `Team.TEXT`, `Team.BINARY` or `Team.UNKNOWN`.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getString()` The string part of the mapping
`int` `getType()` The content type associated with the string

### Method Detail

#### getString

    String getString()

The string part of the mapping

Returns:
  the string
Since:
  3.1

#### getType

    int getType()

The content type associated with the string

Returns:
  the content type
Since:
  3.1